


/* External outputs (root outports fed by signals with auto storage) */
//ExternalOutputs_MiddleRobotCtrl MiddleRobotCtrl_mat_Y;
/* External inputs (root inport signals with auto storage) */
/* External outputs (root outports fed by signals with auto storage) */
//typedef struct {
//  real_T Mode_ID;                   /* '<Root>/Mode_ID' */
//  real_T Gripper;                      /* '<Root>/Gripper' */
//  real_T TransMatrix;                  /* '<Root>/TransMatrix' */
//} ExternalOutputs_MiddleRobotCtrl;
///////////////////////////////////////////////////////////////////

//  OutPort<TimedDoubleSeq> m_Arm_outOut;
//  TimedDoubleSeq m_Mobile_out;
//  OutPort<TimedDoubleSeq> m_Mobile_outOut;

///////////////////////////////////////////////////////////////////


void MiddleRobotCtrl_OUT(void){

  switch((int)MiddleRobotCtrl_mat_Y.Mode_ID){
  case 0:
	break;
  case 1:
	m_Arm_out.data[0] = 1;
        for(i=1;i<13;i++){
	  m_Arm_out.data[i] = MiddleRobotCtrl_mat_Y.TransMatrix[i-1];
	}
	m_Arm_outOut.write();
	break;

  case 2:
	m_Arm_out.data[0] = 2;
	m_Arm_out.data[1] = MiddleRobotCtrl_mat_Y.Gripper;
        for(i=2;i<13;i++){
	  m_Arm_out.data[i] = 0;
	}
	m_Arm_outOut.write();
	break;

  case 3:
	m_Arm_out.data[0] = 3;
        for(i=1;i<13;i++){
	  m_Arm_out.data[i] = 0;
	}
	m_Arm_outOut.write();
	break;
	
  default:
	m_Arm_out.data[0] = 3;
        for(i=1;i<13;i++){
	  m_Arm_out.data[i] = 0;
	}
	m_Arm_outOut.write();
	std::cout<<"モードエラー"<< (int)MiddleRobotCtrl_mat_Y.Mode_ID <<std::endl;
	break; 
  }

}
